workfile fcst5input m 1900m01 2005m04

smpl 1900m01 2005m04

genr t = @trend(1900m01)
genr t2 = t*t

smpl 1948m01 2005m04

graph Figure51.line w16
Figure51.addtext(t) Figure 5.1 Labor Force Participation Rate for Females
Figure51.scale(left) range(30,65)
Figure51.addtext(b) Time
Figure51.addtext(l) Rate
Figure51.legend -display
Figure51.setelem symbol(13)
Figure51.options -color

graph Figure53.line m16
Figure53.addtext(t) Figure 5.3 Labor Force Participation Rate for Males
Figure53.scale(left) range(70,90)
Figure53.addtext(b) Time
Figure53.addtext(l) Rate
Figure53.legend -display
Figure53.setelem symbol(13)
Figure53.options -color

equation w16trend.ls w16 c t
freeze(Figure54) w16trend.resids
Figure54.scale(left) range(-6, 4)
Figure54.scale(right) range(30, 65)
Figure54.legend display
Figure54.addtext(t) Figure 5.4 Linear Trend: Labor Force Participation Rate for Females
Figure54.setelem(1) linepattern(1)
Figure54.setelem(2) linepattern(2)
Figure54.setelem(3) linepattern(3)
Figure54.options -color

equation m16trend.ls m16 c t
freeze(Figure55) m16trend.resids
Figure55.scale(left) range(-2, 2)
Figure55.scale(right) range(70, 90)
Figure55.legend display
Figure55.addtext(t) Figure 5.5 Linear Trend: Labor Force Participation Rate for Males
Figure55.setelem(1) linepattern(1)
Figure55.setelem(2) linepattern(2)
Figure55.setelem(3) linepattern(3)
Figure55.options -color

smpl 1960m01 2005m04

graph Figure56.line nysevol
Figure56.addtext(t) Figure 5.6 Volume on the New York Stock Exchange
Figure56.scale(left) range(0,45000)
Figure56.addtext(b) Time
Figure56.addtext(l) Volume
Figure56.legend -display
Figure56.setelem symbol(13)
Figure56.options -color

equation nysevolqtrend.ls nysevol c t t2
freeze(Figure58) nysevolqtrend.resids
Figure58.scale(left) range(-10000, 25000)
Figure58.scale(right) range(-2000, 45000)
Figure58.legend display
Figure58.addtext(t) Figure 5.8 Quadratic Trend: Volume on the New York Stock Exchange
Figure58.setelem(1) linepattern(1)
Figure58.setelem(2) linepattern(2)
Figure58.setelem(3) linepattern(3)
Figure58.options -color

series logvol
scalar i
for i=1 to 1264
  if (nysevol(i) > 0)  then logvol(i) = log(nysevol(i))
  endif
next

graph Figure59.line logvol
Figure59.addtext(t) Figure 5.9 Log Volume on the New York Stock Exchange
Figure59.scale(left) range(4,11)
Figure59.addtext(b) Time
Figure59.addtext(l) Log Volume
Figure59.legend -display
Figure59.setelem symbol(13)
Figure59.options -color

equation logvoltrend.ls logvol c t
freeze(Figure511) logvoltrend.resids
Figure511.scale(left) range(-1, 2)
Figure511.scale(right) range(4, 12)
Figure511.legend display
Figure511.addtext(t) Figure 5.11 Linear Trend: Log Volume on the New York Stock Exchange
Figure511.setelem(1) linepattern(1)
Figure511.setelem(2) linepattern(2)
Figure511.setelem(3) linepattern(3)
Figure511.options -color

equation nysevolextrend.ls nysevol = c(1)*exp(c(2)*t)
freeze(Figure512) nysevolextrend.resids
Figure512.scale(left) range(-10000, 20000)
Figure512.scale(right) range(0, 45000)
Figure512.legend display
Figure512.addtext(t) Figure 5.12 Exponential Trend: Volume on the New York Stock Exchange
Figure512.setelem(1) linepattern(1)
Figure512.setelem(2) linepattern(2)
Figure512.setelem(3) linepattern(3)
Figure512.options -color

smpl 1954m12 1994m12

genr TIME = @trend(1954m12)
genr TIME2 = TIME*TIME

smpl 1955m01 1993m12

graph Figure514.line rtrr
Figure514.addtext(t) Figure 5.14 Retail Sales
Figure514.scale(left) range(0,200000)
Figure514.addtext(b) Time
Figure514.addtext(l) Sales
Figure514.legend -display
Figure514.setelem symbol(13)
Figure514.options -color

equation Table1.ls rtrr c TIME
freeze(Figure515) Table1.resids
Figure515.scale(left) range(-40000, 40000)
Figure515.scale(right) range(-50000, 200000)
Figure515.legend display
Figure515.addtext(t) Figure 5.15 Retail Sales Linear Trend Residual Plot
Figure515.setelem(1) linepattern(1)
Figure515.setelem(2) linepattern(2)
Figure515.setelem(3) linepattern(3)
Figure515.options -color

equation Table2.ls rtrr c TIME TIME2
freeze(Figure516) Table2.resids
Figure516.scale(left) range(-10000, 10000)
Figure516.scale(right) range(0, 200000)
Figure516.legend display
Figure516.addtext(t) Figure 5.16 Retail Sales Quadratic Trend Residual Plot
Figure516.setelem(1) linepattern(1)
Figure516.setelem(2) linepattern(2)
Figure516.setelem(3) linepattern(3)
Figure516.options -color

genr lrtrr = @log(rtrr)

equation Table3.ls lrtrr c TIME
freeze(Figure517) Table3.resids
Figure517.scale(left) range(-.2, .3)
Figure517.scale(right) range(9, 13)
Figure517.legend display
Figure517.addtext(t) Figure 5.17 Retail Sales Log Linear Trend Residual Plot
Figure517.setelem(1) linepattern(1)
Figure517.setelem(2) linepattern(2)
Figure517.setelem(3) linepattern(3)
Figure517.options -color

equation Table4.ls rtrr=c(1)*exp(c(2)*TIME)
freeze(Figure518) Table4.resids
Figure518.scale(left) range(-20000, 20000)
Figure518.scale(right) range(0, 200000)
Figure518.legend display
Figure518.addtext(t) Figure 5.18 Retail Sales Exponential Trend Residual Plot
Figure518.setelem(1) linepattern(1)
Figure518.setelem(2) linepattern(2)
Figure518.setelem(3) linepattern(3)
Figure518.options -color

table(4,4) Table5
Table5(1,1) = "Table 5 Model Selection Criteria Linear, Quadratic and Exponential Trend Models"
Table5(2,2) = "Linear Trend"
Table5(2,3) = "Quadratic Trend"
Table5(2,4) = "Exponential Trend"
Table5(3,1) = "AIC"
Table5(4,1) = "SIC"
Table5(3,2) = Table1.@aic
Table5(3,3) = Table2.@aic
Table5(3,4) = Table4.@aic
Table5(4,2) = Table1.@schwarz
Table5(4,3) = Table2.@schwarz
Table5(4,4) = Table4.@schwarz

genr history = rtrr
smpl 1994m01 1994m12
Table2.forecast yhat se
genr fcst=yhat
genr upper = yhat + 1.96*se
genr lower = yhat - 1.96*se

smpl 1990m01 1994m12
group fig519 history fcst upper lower
freeze(Figure519) fig519.line
Figure519.addtext(t) Figure 5.19 Retail Sales: History, 1990.01 - 1993.12 Quadratic Trend Forecast, 1994.01 - 1994.12
Figure519.addtext(l) History and Forecast
Figure519.addtext(b) Time
Figure519.scale(left) range(150000,200000)
Figure519.datelabel format(yy:mm)
Figure519.legend -display
Figure519.setelem symbol(none)
Figure519.options -color
Figure519.axis(a) label
Figure519.setelem(1) linepattern(1)
Figure519.setelem(2) linepattern(2)
Figure519.setelem(3) linepattern(2)
Figure519.setelem(4) linepattern(2)
Figure519.draw(shade, bottom) 1994m01 1994m12

group fig520 rtrr fcst upper lower
freeze(Figure520) fig520.line
Figure520.addtext(t) Figure 5.20 Retail Sales: History, 1990.01 - 1993.12 Quadratic Trend Forecast and Realization, 1994.01 - 1994.12
Figure520.addtext(l) History, Forecast and Realization
Figure520.addtext(b) Time
Figure520.scale(left) range(150000,200000)
Figure520.datelabel format(yy:mm)
Figure520.legend -display
Figure520.setelem symbol(none)
Figure520.options -color
Figure520.axis(a) label
Figure520.setelem(1) linepattern(1)
Figure520.setelem(2) linepattern(2)
Figure520.setelem(3) linepattern(2)
Figure520.setelem(4) linepattern(2)
Figure520.draw(shade, bottom) 1994m01 1994m12

smpl 1994m01 1994m12
Table1.forecast yhat se2
genr fcst2 = yhat
genr upper2 = yhat + 1.96*se2
genr lower2 = yhat - 1.96*se2

smpl 1990m01 1994m12
group fig521 history fcst2 upper2 lower2
freeze(Figure521) fig521.line
Figure521.addtext(t) Figure 5.21 Retail Sales: History, 1990.01 - 1993.12 Linear Trend Forecast, 1994.01 - 1994.12
Figure521.addtext(l) History and Forecast
Figure521.addtext(b) Time
Figure521.scale(left) range(100000,200000)
Figure521.datelabel format(yy:mm)
Figure521.legend -display
Figure521.setelem symbol(none)
Figure521.options -color
Figure521.axis(a) label
Figure521.setelem(1) linepattern(1)
Figure521.setelem(2) linepattern(2)
Figure521.setelem(3) linepattern(2)
Figure521.setelem(4) linepattern(2)
Figure521.draw(shade, bottom) 1994m01 1994m12

group fig522 rtrr fcst2 upper2 lower2
freeze(Figure522) fig522.line
Figure522.addtext(t) Figure 5.22 Retail Sales: History, 1990.01 - 1993.12 Linear Trend Forecast and Realization, 1994.01 - 1994.12
Figure522.addtext(l) History, Forecast and Realization
Figure522.addtext(b) Time
Figure522.scale(left) range(100000,200000)
Figure522.datelabel format(yy:mm)
Figure522.legend -display
Figure522.setelem symbol(none)
Figure522.options -color
Figure522.axis(a) label
Figure522.setelem(1) linepattern(1)
Figure522.setelem(2) linepattern(2)
Figure522.setelem(3) linepattern(2)
Figure522.setelem(4) linepattern(2)
Figure522.draw(shade, bottom) 1994m01 1994m12

show Figure51
show Figure53
show Figure54
show Figure55
show Figure56
show Figure58
show Figure59
show Figure511
show Figure512
show Figure514
show Table1
show Figure515
show Table2
show Figure516
show Figure517
show Figure518
show Table3
show Table4
show Table5
show Figure518
show Figure519
show Figure520
show Figure521
show Figure522

