workfile fcst6input m 1946m01 2001m04

genr D1=@seas(1)
genr D2=@seas(2)
genr D3=@seas(3)
genr D4=@seas(4)
genr D5=@seas(5)
genr D6=@seas(6)
genr D7=@seas(7)
genr D8=@seas(8)
genr D9=@seas(9)
genr D10=@seas(10)
genr D11=@seas(11)
genr D12=@seas(12)

smpl 1980m01 1992m01

graph Figure61.line gs
Figure61.addtext(t) Figure 6.1 Gasoline Sales
Figure61.scale(left) range(6000,14000)
Figure61.addtext(b) Time
Figure61.addtext(l) Gasoline Sales
Figure61.datelabel format(yy)
Figure61.legend -display
Figure61.setelem symbol(13)
Figure61.options -color

graph Figure62.line ls
Figure62.addtext(t) Figure 6.2 Liquor Sales
Figure62.scale(left) range(1200,2800)
Figure62.addtext(b) Time
Figure62.addtext(l) Liquor Sales
Figure62.datelabel format(yy)
Figure62.legend -display
Figure62.setelem symbol(13)
Figure62.options -color

graph Figure63.line dgs
Figure63.addtext(t) Figure 6.3 Durable Goods Sales
Figure63.scale(left) range(20000,70000)
Figure63.addtext(b) Time
Figure63.addtext(l) Durable Goods Sales
Figure63.datelabel format(yy)
Figure63.legend -display
Figure63.setelem symbol(13)
Figure63.options -color

smpl 1946m01 1994m11

graph Figure64.line hstarts
Figure64.addtext(t) Figure 6.4 Housing Starts, 1946.01-1994.11
Figure64.addtext(b) Time
Figure64.addtext(l) Starts
Figure64.scale(left) range(0,250)
Figure64.datelabel format(yy)
Figure64.legend -display
Figure64.setelem symbol(none)
Figure64.options -color
Figure64.options linesolid
Figure64.axis(a) label

smpl 1990m01 1994m11
graph Figure65.line hstarts
Figure65.addtext(t) Figure 6.5 Housing Starts, 1990.01-1994.11
Figure65.addtext(b) Time
Figure65.addtext(l) Starts
Figure65.scale(left) range(40,160)
Figure65.datelabel format(yy:mm)
Figure65.legend -display
Figure65.setelem symbol(none)
Figure65.options -color
Figure65.options linesolid
Figure65.axis(a) label

smpl 1946m01 1993m12
equation Table61.ls hstarts D1 D2 D3 D4 D5 D6 D7 D8 D9 D10 D11 D12
genr history = hstarts

freeze(Figure66) Table61.resids
Figure66.scale(left) range(-100, 100)
Figure66.scale(right) range(0, 250)
Figure66.legend display
Figure66.addtext(t) Figure 6.6 Residual Plot
Figure66.datelabel format(yy)
Figure66.setelem(1) linepattern(1)
Figure66.setelem(2) linepattern(2)
Figure66.setelem(3) linepattern(3)
Figure66.options -color

vector(12) beta
for !i=1 to 12
     beta(!i)=c(!i)
next
freeze(Figure67) beta.line
Figure67.addtext(t) Figure 6.7 Estimated Seasonal Factors Housing Starts
Figure67.scale(left) range(80,160)
Figure67.addtext(b) Month
Figure67.addtext(l) Seasonal Factors
Figure67.legend -display
Figure67.setelem symbol(13)
Figure67.options -color

smpl 1946m01 1994m11

smpl 1994m1 1994m11
Table61.forecast yhat se
genr fcst=yhat
genr upper = yhat + 1.96*se
genr lower = yhat - 1.96*se
genr fcst = yhat

smpl 1990:1 1994:11
group fig68 history fcst upper lower
freeze(Figure68) fig68.line
Figure68.addtext(t) Figure 6.8 Housing Starts: History, 1990.01-1993.12  Forecast, 1994.01-1994.11
Figure68.scale(left) range(0,250)
Figure68.addtext(b) Time
Figure68.addtext(l) History and Forecast
Figure68.datelabel format(yy:mm)
Figure68.legend -display
Figure68.options -color
Figure68.setelem(1) linepattern(1)
Figure68.setelem(2) linepattern(2)
Figure68.setelem(3) linepattern(2)
Figure68.setelem(4) linepattern(2)
Figure68.draw(shade, bottom) 1994:01 1994:11

group fig69 hstarts fcst upper lower
freeze(Figure69) fig69.line
Figure69.addtext(t) Figure 6.9 Housing Starts: History, 1990.01-1993.12 Forecast and Realization, 1994.01-1994.11
Figure69.scale(left) range(0,250)
Figure69.addtext(b) Time
Figure69.addtext(l) History, Forecast and Realization
Figure69.datelabel format(yy:mm)
Figure69.legend -display
Figure69.options -color
Figure69.setelem(1) linepattern(1)
Figure69.setelem(2) linepattern(2)
Figure69.setelem(3) linepattern(2)
Figure69.setelem(4) linepattern(2)
Figure69.draw(shade, bottom) 1994:01 1994:11

show Figure61
show Figure62
show Figure63
show Figure64
show Figure65
show Table61
show Figure66
show Figure67
show Figure68
show Figure69

