workfile fcst10input m 1967m1 1998m12

smpl 1967m1 1998m12

genr lsales=@log(liquor)
genr time=@trend(1967m1)
genr time2=time*time
genr D1=@seas(1)
genr D2=@seas(2)
genr D3=@seas(3)
genr D4=@seas(4)
genr D5=@seas(5)
genr D6=@seas(6)
genr D7=@seas(7)
genr D8=@seas(8)
genr D9=@seas(9)
genr D10=@seas(10)
genr D11=@seas(11)
genr D12=@seas(12)

smpl 1968m1 1993m12
freeze(Figure101) liquor.line
Figure101.addtext(t) Figure 10.1 Liquor Sales, 1968.01-1993.12
Figure101.addtext(l) Sales
Figure101.addtext(b) Time
Figure101.scale(left) range(0,3000)
Figure101.datelabel format(yy)
Figure101.legend -display
Figure101.setelem symbol(none)
Figure101.options -color
Figure101.axis(a) label
Figure101.setelem(1) linepattern(1)

freeze(Figure102) lsales.line
Figure102.addtext(t) Figure 10.2 Log Liquor Sales, 1968.01-1993.12
Figure102.addtext(l) Log Sales
Figure102.addtext(b) Time
Figure102.scale(left) range(6.0,8.0)
Figure102.datelabel format(yy)
Figure102.legend -display
Figure102.setelem symbol(none)
Figure102.options -color
Figure102.axis(a) label
Figure102.setelem(1) linepattern(1)

equation Table101.ls lsales c time time2

freeze(Figure103) Table101.resid
Figure103.addtext(t) Figure 10.3 Log Liquor Sales Quadratic Trend Regression Residual Plot
Figure103.scale(left) range(-0.4,0.6)
Figure103.scale(right) range(6.0,8.0)
Figure103.datelabel format(yy)
Figure103.legend display
Figure103.setelem symbol(none)
Figure103.options -color
Figure103.axis(a) label
Figure103.setelem(1) linepattern(1)
Figure103.setelem(2) linepattern(2)
Figure103.setelem(3) linepattern(3)

freeze(Table102) Table101.correl(36)

equation Table103.ls lsales time time2 D1 D2 D3 D4 D5 D6 D7 D8 D9 D10 D11 D12

freeze(Figure105) Table103.resid
Figure105.addtext(t) Figure 10.5 Log Liquor Sales Quadratic Trend Regression with Seasonal Dummies Residual Plot
Figure105.scale(left) range(-0.15,0.15)
Figure105.scale(right) range(6.0,8.0)
Figure105.datelabel format(yy)
Figure105.legend display
Figure105.setelem symbol(none)
Figure105.options -color
Figure105.axis(a) label
Figure105.setelem(1) linepattern(1)
Figure105.setelem(2) linepattern(2)
Figure105.setelem(3) linepattern(3)

freeze(Table104) Table103.correl(36)

equation Table105.ls lsales time time2 D1 D2 D3 D4 D5 D6 D7 D8 D9 D10 D11 D12 AR(1) AR(2) AR(3)

freeze(Figure107) Table105.resid(g)
Figure107.addtext(t) Figure 10.7 Log Liquor Sales Quadratic Trend Regression with Seasonal Dummies and AR(3) Disturbances Residual Plot
Figure107.scale(left) range(-0.15,0.15)
Figure107.scale(right) range(6.0,8.0)
Figure107.datelabel format(yy)
Figure107.legend display
Figure107.setelem symbol(none)
Figure107.options -color
Figure107.axis(a) label
Figure107.setelem(1) linepattern(1)
Figure107.setelem(2) linepattern(2)
Figure107.setelem(3) linepattern(3)

freeze(Table106) Table105.correl(36)

freeze(Figure109) Table105.hist
Figure109.addtext(t) Figure 10.9 Log Liquor Sales Quadratic Trend Regression with Seasonal Dummies and AR(3) Disturbances Residual Histogram and Normality Test
Figure109.scale(left) range(0,40)
Figure109.setelem fillgray(15)
Figure109.options -color

smpl 1966:1 1993:12
genr lhistory=lsales
genr history=liquor
smpl 1994:1 1998:12
forecast yhat se
genr lfcst=yhat
genr fcst=@exp(yhat)
genr upper = yhat + 1.96*se
genr lower = yhat - 1.96*se

smpl 1992:1 1994:12
group fig1010 lhistory lfcst upper lower
freeze(Figure1010) fig1010.line
Figure1010.addtext(t) Figure 10.10 Log Liquor Sales History and 12-Month-Ahead Forecast
Figure1010.addtext(l) History and Forecast
Figure1010.addtext(b) Time
Figure1010.scale(left) range(7.2,8)
Figure1010.datelabel format(yy:mm)
Figure1010.legend -display
Figure1010.setelem symbol(none)
Figure1010.options -color
Figure1010.axis(a) label
Figure1010.setelem(1) linepattern(1)
Figure1010.setelem(2) linepattern(2)
Figure1010.setelem(3) linepattern(2)
Figure1010.setelem(4) linepattern(2)
Figure1010.draw(shade, bottom) 1994:01 1994:12

group fig1011 lsales lfcst upper lower
freeze(Figure1011) fig1011.line
Figure1011.addtext(t) Figure 10.11 Log Liquor Sales History, 12-Month-Ahead Forecast, and Realization
Figure1011.addtext(l) History, Forecast and Realization
Figure1011.addtext(b) Time
Figure1011.scale(left) range(7.2,8)
Figure1011.datelabel format(yy:mm)
Figure1011.legend -display
Figure1011.setelem symbol(none)
Figure1011.options -color
Figure1011.axis(a) label
Figure1011.setelem(1) linepattern(1)
Figure1011.setelem(2) linepattern(2)
Figure1011.setelem(3) linepattern(2)
Figure1011.setelem(4) linepattern(2)
Figure1011.draw(shade, bottom) 1994:01 1994:12

smpl 1990:1 1998:12
group fig1012 lhistory lfcst upper lower
freeze(Figure1012) fig1012.line
Figure1012.addtext(t) Figure 10.12 Log Liquor Sales History and 60-Month-Ahead Forecast
Figure1012.addtext(l) History and Forecast
Figure1012.addtext(b) Time
Figure1012.scale(left) range(7,8)
Figure1012.datelabel format(yy)
Figure1012.legend -display
Figure1012.setelem symbol(none)
Figure1012.options -color
Figure1012.axis(a) label
Figure1012.setelem(1) linepattern(1)
Figure1012.setelem(2) linepattern(2)
Figure1012.setelem(3) linepattern(2)
Figure1012.setelem(4) linepattern(2)
Figure1012.draw(shade, bottom) 1994:01 1998:12

smpl 1967:01 1998:12
group fig1013 lhistory lfcst
freeze(Figure1013) fig1013.line
Figure1013.addtext(t) Figure 10.13 Log Liquor Sales Long History and 60-Month-Ahead Forecast
Figure1013.addtext(l) History and Point Forecast
Figure1013.addtext(b) Time
Figure1013.scale(left) range(6,8)
Figure1013.datelabel format(yy)
Figure1013.legend -display
Figure1013.setelem symbol(none)
Figure1013.options -color
Figure1013.axis(a) label
Figure1013.setelem(1) linepattern(1)
Figure1013.setelem(2) linepattern(2)
Figure1013.draw(shade, bottom) 1994:01 1998:12

smpl 1967:01 1998:12
group fig1014 history fcst
freeze(Figure1014) fig1014.line
Figure1014.addtext(t) Figure 10.14 Liquor Sales Long History and 60-Month-Ahead Forecast
Figure1014.addtext(l) History and Point Forecast
Figure1014.addtext(b) Time
Figure1014.scale(left) range(0,3000)
Figure1014.datelabel format(yy)
Figure1014.legend -display
Figure1014.setelem symbol(none)
Figure1014.options -color
Figure1014.axis(a) label
Figure1014.setelem(1) linepattern(1)
Figure1014.setelem(2) linepattern(2)
Figure1014.draw(shade, bottom) 1994:01 1998:12

smpl 1968:01 1993:12

equation rrll.ls lsales time time2 D1 D2 D3 D4 D5 D6 D7 D8 D9 D10 D11 D12 lsales(-1) lsales(-2) lsales(-3)

freeze(Figure1017) rrll.rls(r)
Figure1017.addtext(t) Figure 10.17 Log Liquor Sales Quadratic Trend Regression with Seasonal Dummies and AR(3) Disturbances Recursive Residuals and Two Standard Error Bands
Figure1017.addtext(l) Recursive Residuals
Figure1017.addtext(b) Time
Figure1017.scale(left) range(-.15,.15)
Figure1017.datelabel format(yy)
Figure1017.legend -display
Figure1017.setelem symbol(none)
Figure1017.options -color
Figure1017.axis(a) label
Figure1017.setelem(1) linepattern(1)
Figure1017.setelem(2) linepattern(2)

freeze(Figure1018) rrll.rls(c)
Figure1018.addtext(t) Figure 10.18 Log Liquor Sales Quadratic Trend Regression with Seasonal Dummies and AR(3) Disturbances Recursive Parameter Estimates
Figure1018.addtext(l) Parameter Estimate
Figure1018.addtext(b) Time
Figure1018.datelabel format(yy)
Figure1018.legend -display
Figure1018.setelem symbol(none)
Figure1018.options -color
Figure1018.axis(a) label
Figure1018.setelem(1) linepattern(1)
Figure1018.setelem(2) linepattern(2)

freeze(Figure1019) rrll.rls(q)
Figure1019.addtext(t) Figure 10.19 Log Liquor Sales Quadratic Trend Regression with Seasonal Dummies and AR(3) Disturbances CUSUM Analysis
Figure1019.addtext(l) CUSUM
Figure1019.addtext(b) Time
Figure1019.scale(left) range(-60,60)
Figure1019.datelabel format(yy)
Figure1019.legend display
Figure1019.setelem symbol(none)
Figure1019.options -color
Figure1019.axis(a) label
Figure1019.setelem(1) linepattern(1)
Figure1019.setelem(2) linepattern(2)

show Figure101
show Figure102
show Table101
show Figure103
show Table102
show Table103
show Figure105
show Table104
show Table105
show Figure107
show Table106
show Figure109
show Figure1010
show Figure1011
show Figure1012
show Figure1013
show Figure1014
show Figure1017
show Figure1018
show Figure1019

