workfile fcst12input w 1/1/1988 7/24/1997

smpl 1/1/1988 7/24/1997

group fig121 vol volq
freeze(Figure121) fig121.line
Figure121.addtext(t) Figure 12.1 Shipping Volume Quantitative Forecast and Realization
Figure121.addtext(l) Forecast and Realization
Figure121.scale(left) range(10,30)
Figure121.datelabel format(dd/mm/yy)
Figure121.legend display
Figure121.setelem symbol(none)
Figure121.options -color
Figure121.axis(a) label
Figure121.setelem(1) linepattern(1)
Figure121.setelem(2) linepattern(2)

group fig122 vol volj
freeze(Figure122) fig122.line
Figure122.addtext(t) Figure 12.2 Shipping Volume Judgemental Forecast and Realization
Figure122.addtext(l) Forecast and Realization
Figure122.scale(left) range(5,30)
Figure122.datelabel format(dd/mm/yy)
Figure122.legend display
Figure122.setelem symbol(none)
Figure122.options -color
Figure122.axis(a) label
Figure122.setelem(1) linepattern(1)
Figure122.setelem(2) linepattern(2)

genr eq=vol-volq
freeze(Figure123) eq.line
Figure123.addtext(t) Figure 12.3 Quantitative Forecast Error
Figure123.addtext(b) Time
Figure123.addtext(l) Error
Figure123.scale(left) range(-6,6)
Figure123.datelabel format(dd/mm/yy)
Figure123.legend -display
Figure123.setelem symbol(none)
Figure123.options -color
Figure123.axis(a) label
Figure123.setelem(1) linepattern(1)

genr ej=vol-volj
freeze(Figure124) ej.line
Figure124.addtext(t) Figure 12.4 Judgemental Forecast Error
Figure124.addtext(b) Time
Figure124.addtext(l) Error
Figure124.scale(left) range(-6,6)
Figure124.datelabel format(dd/mm/yy)
Figure124.legend -display
Figure124.setelem symbol(none)
Figure124.options -color
Figure124.axis(a) label
Figure124.setelem(1) linepattern(1)

freeze(Figure125) eq.hist
Figure125.addtext(t) Figure 12.5 Histogram and Related Statistics Quantitative Forecast Error
Figure125.scale(left) range(0,50)
Figure125.setelem fillgray(15)
Figure125.options -color

freeze(Figure126) ej.hist
Figure126.addtext(t) Figure 12.6 Histogram and Related Statistics Judgemental Forecast Error
Figure126.scale(left) range(0,60)
Figure126.setelem fillgray(15)
Figure126.options -color

freeze(Table121) eq.correl(6)

freeze(Table122) ej.correl(6)

equation Table123.ls eq c ma(1)

equation Table124.ls ej c ma(1)

equation Table125.ls vol c volq ma(1)

freeze(Table125a) Table125.wald c(1) = 0, c(2) = 1

equation Table126.ls vol c volj ma(1)

freeze(Table126a) Table126.wald c(1) = 0, c(2) = 1

genr eqsq=eq*eq
freeze(Figure129) eqsq.hist
Figure129.addtext(t) Figure 12.9 Histogram and Related Statistics Squared Quantitative Forecast Error
Figure129.scale(left) range(0,300)
Figure129.setelem fillgray(15)
Figure129.options -color

genr ejsq=ej*ej
freeze(Figure1210) ejsq.hist
Figure1210.addtext(t) Figure 12.10 Histogram and Related Statistics Squared Judgemental Forecast Error
Figure1210.scale(left) range(0,160)
Figure1210.setelem fillgray(15)
Figure1210.options -color

genr dd=eqsq-ejsq
freeze(Figure1211) dd.line
Figure1211.addtext(t) Figure 12.11 Loss Differential
Figure1211.addtext(b) Time
Figure1211.addtext(l) Loss Differential
Figure1211.scale(left) range(-20,30)
Figure1211.datelabel format(dd/mm/yy)
Figure1211.legend -display
Figure1211.setelem symbol(none)
Figure1211.options -color
Figure1211.axis(a) label
Figure1211.setelem(1) linepattern(1)

freeze(Figure1212) dd.hist
Figure1212.addtext(t) Figure 12.12 Histogram and Related Statistics Loss Differential
Figure1212.scale(left) range(0,120)
Figure1212.setelem fillgray(15)
Figure1212.options -color

freeze(Table127) dd.correl(6)

equation Table128.ls dd c ma(1)

equation Table129.ls vol c volq volj ma(1)

show Figure121
show Figure122
show Figure123
show Figure124
show Figure125
show Figure126
show Table121
show Table122
show Table123
show Table124
show Table125
show Table125a
show Table126
show Table126a
show Figure129
show Figure1210
show Figure1211
show Figure1212
show Table127
show Table128
show Table129

