workfile fcst13input m 1973m01 2010m12
smpl 1973m01 1996m07

genr lyen = log(yen)
genr dlyen = dlog(yen)
series TIME
for !i=1 to 456
  TIME(!i) = !i
next

freeze(fig1371) lyen.line
fig1371.addtext(l) Log Yen/$ Rate
fig1371.addtext(b) Time
fig1371.scale(left) range(4.4,5.8)
fig1371.datelabel format(yy)
fig1371.legend -display
fig1371.setelem symbol(none)
fig1371.options -color
fig1371.axis(a) label
fig1371.setelem(1) linepattern(1)

freeze(fig1372) dlyen.line
fig1372.addtext(l) Change in Log Yen/$ Rate
fig1372.addtext(b) Time
fig1372.scale(left) range(-.10,.10)
fig1372.datelabel format(yy)
fig1372.legend -display
fig1372.setelem symbol(none)
fig1372.options -color
fig1372.axis(a) label
fig1372.setelem(1) linepattern(1)

freeze(Figure137) fig1371 fig1372
Figure137.addtext(t) Figure 13.7 Log Yen / Dollar Exchange Rate (Top Panel) Change in Log Yen / Dollar Exchange Rate (Bottom Panel)
Figure137.align(1,2,2)

smpl 1973m03 1994m12

freeze(Figure138) lyen.correl(12)

freeze(Figure139) dlyen.correl(12)

table(7,6) Table131
Table131(2,4) = "MA Order"
Table131(5,1) = "AR Order"
Table131(1,1) = "Table 13.1 Log Yen / Dollar Rate, Levels AIC Values Various ARMA Models"

table(7,6) Table132
Table132(2,4) = "MA Order"
Table132(5,1) = "AR Order"
Table132(1,1) = "Table 13.2 Log Yen / Dollar Rate, Levels SIC Values Various ARMA Models"

for !i=0 to 3
  Table131(3,!i+3) = !i
  Table131(!i+4,2) = !i  
  Table132(3,!i+3) = !i
  Table132(!i+4,2) = !i
next

equation lyen_arma01.ls lyen c time ma(1)
equation lyen_arma02.ls lyen c time ma(1) ma(2)
equation lyen_arma03.ls lyen c time ma(1) ma(2) ma(3)
equation lyen_arma10.ls lyen c time ar(1)
equation lyen_arma11.ls lyen c time ar(1) ma(1)
equation lyen_arma12.ls lyen c time ar(1) ma(1) ma(2)
equation lyen_arma13.ls lyen c time ar(1) ma(1) ma(2) ma(3)
equation lyen_arma20.ls lyen c time ar(1) ar(2)
equation lyen_arma21.ls lyen c time ar(1) ar(2) ma(1)
equation lyen_arma22.ls lyen c time ar(1) ar(2) ma(1) ma(2)
equation lyen_arma23.ls lyen c time ar(1) ar(2) ma(1) ma(2) ma(3)
equation lyen_arma30.ls lyen c time ar(1) ar(2) ar(3)
equation lyen_arma31.ls lyen c time ar(1) ar(2) ar(3) ma(1)
equation lyen_arma32.ls lyen c time ar(1) ar(2) ar(3) ma(1) ma(2)
equation lyen_arma33.ls lyen c time ar(1) ar(2) ar(3) ma(1) ma(2) ma(3)

for !i=0 to 3
  for !j=0 to 3
    if !i > 0 or !j > 0 then
      Table131(!i+4,!j+3) = lyen_arma{!i}{!j}.@aic
      Table132(!i+4,!j+3) = lyen_arma{!i}{!j}.@schwarz
    endif
  next
next

freeze(Table133) lyen_arma20
  
freeze(Figure1310) lyen_arma20.resid
Figure1310.addtext(t) Figure 13.10 Log Yen / Dollar Exchange Rate Best-Fitting Deterministic Trend Model Residual Plot
Figure1310.scale(left) range(-.10,.10)
Figure1310.scale(right) range(4.5,6.0)
Figure1310.datelabel format(yy)
Figure1310.legend display
Figure1310.setelem symbol(none)
Figure1310.options -color
Figure1310.axis(a) label
Figure1310.setelem(1) linepattern(1)
Figure1310.setelem(2) linepattern(2)
Figure1310.setelem(3) linepattern(3)

equation detbest.ls lyen c time ar(1) ar(2)
genr history = lyen

smpl 1995m01 2010m12
detbest.forecast yhat se
genr fcst = yhat
genr yhatplus = yhat + 1.96*se
genr yhatminus = yhat - 1.96*se

smpl 1990m01 1996m07

group fig1311 history fcst yhatplus yhatminus
freeze(Figure1311) fig1311.line
Figure1311.addtext(t) Figure 13.11 Log Yen / Dollar Rate History and Forecast AR(2) in Levels with Linear Trend
Figure1311.addtext(l) History and Forecast
Figure1311.addtext(b) Time
Figure1311.scale(left) range(4.2,5.2)
Figure1311.datelabel format(yyyy)
Figure1311.legend -display
Figure1311.setelem symbol(none)
Figure1311.options -color
Figure1311.axis(a) label
Figure1311.setelem(1) linepattern(1)
Figure1311.setelem(2) linepattern(2)
Figure1311.setelem(3) linepattern(2)
Figure1311.setelem(4) linepattern(2)
Figure1311.draw(shade, bottom) 1995m01 1996m07

smpl 1990m01 2010m12

freeze(Figure1312) fig1311.line
Figure1312.addtext(t) Figure 13.12 Log Yen / Dollar Rate History and Long-Horizon Forecast AR(2) in Levels with Linear Trend
Figure1312.addtext(l) History and Long-Horizon Forecast
Figure1312.addtext(b) Time
Figure1312.scale(left) range(3.2,5.2)
Figure1312.datelabel format(yy)
Figure1312.legend -display
Figure1312.setelem symbol(none)
Figure1312.options -color
Figure1312.axis(a) label
Figure1312.setelem(1) linepattern(1)
Figure1312.setelem(2) linepattern(2)
Figure1312.setelem(3) linepattern(2)
Figure1312.setelem(4) linepattern(2)
Figure1312.draw(shade, bottom) 1995m01 2010m12

smpl 1990m01 1996m07

group fig1313 lyen fcst yhatplus yhatminus

freeze(Figure1313) fig1313.line
Figure1313.addtext(t) Figure 13.13 Log Yen / Dollar Rate History, Forecast and Realization AR(2) in Levels with Linear Trend
Figure1313.addtext(l) History, Forecast and Realization
Figure1313.addtext(b) Time
Figure1313.scale(left) range(4.2,5.2)
Figure1313.datelabel format(yy)
Figure1313.legend -display
Figure1313.setelem symbol(none)
Figure1313.options -color
Figure1313.axis(a) label
Figure1313.setelem(1) linepattern(1)
Figure1313.setelem(2) linepattern(2)
Figure1313.setelem(3) linepattern(2)
Figure1313.setelem(4) linepattern(2)
Figure1313.draw(shade, bottom) 1995m01 1996m07

smpl 1973m01 1994m12

freeze(Table134) lyen.uroot(trend, lag=3)

table(7,6) Table135
Table135(2,4) = "MA Order"
Table135(5,1) = "AR Order"
Table135(1,1) = "Table 13.5 Log Yen / Dollar Rate, Changes AIC Values Various ARMA Models"

table(7,6) Table136
Table136(2,4) = "MA Order"
Table136(5,1) = "AR Order"
Table136(1,1) = "Table 13.6 Log Yen / Dollar Rate, Changes SIC Values Various ARMA Models"

for !i=0 to 3
  Table135(3,!i+3) = !i
  Table135(!i+4,2) = !i  
  Table136(3,!i+3) = !i
  Table136(!i+4,2) = !i
next

equation dlyen_arma01.ls dlyen c ma(1)
equation dlyen_arma02.ls dlyen c ma(1) ma(2)
equation dlyen_arma03.ls dlyen c ma(1) ma(2) ma(3)
equation dlyen_arma10.ls dlyen c ar(1)
equation dlyen_arma11.ls dlyen c ar(1) ma(1)
equation dlyen_arma12.ls dlyen c ar(1) ma(1) ma(2)
equation dlyen_arma13.ls dlyen c ar(1) ma(1) ma(2) ma(3)
equation dlyen_arma20.ls dlyen c ar(1) ar(2)
equation dlyen_arma21.ls dlyen c ar(1) ar(2) ma(1)
equation dlyen_arma22.ls dlyen c ar(1) ar(2) ma(1) ma(2)
equation dlyen_arma23.ls dlyen c ar(1) ar(2) ma(1) ma(2) ma(3)
equation dlyen_arma30.ls dlyen c ar(1) ar(2) ar(3)
equation dlyen_arma31.ls dlyen c ar(1) ar(2) ar(3) ma(1)
equation dlyen_arma32.ls dlyen c ar(1) ar(2) ar(3) ma(1) ma(2)
equation dlyen_arma33.ls dlyen c ar(1) ar(2) ar(3) ma(1) ma(2) ma(3)

for !i=0 to 3
  for !j=0 to 3
    if !i > 0 or !j > 0 then
      Table135(!i+4,!j+3) = dlyen_arma{!i}{!j}.@aic
      Table136(!i+4,!j+3) = dlyen_arma{!i}{!j}.@schwarz
    endif
  next
next

freeze(Table137) dlyen_arma10
  
freeze(Figure1314) dlyen_arma10.resid
Figure1314.addtext(t) Figure 13.14 Log Yen / Dollar Exchange Rate Best-Fitting Stochastic-Trend Model Residual Plot
Figure1314.scale(left) range(-.10,.10)
Figure1314.scale(right) range(-.10,.10)
Figure1314.datelabel format(yy)
Figure1314.legend display
Figure1314.setelem symbol(none)
Figure1314.options -color
Figure1314.axis(a) label
Figure1314.setelem(1) linepattern(1)
Figure1314.setelem(2) linepattern(2)
Figure1314.setelem(3) linepattern(3)

equation stocbest.ls d(lyen) c ar(1)

smpl 1995m01 2010m12
stocbest.forecast(n) yhat se2
genr fcst2 = yhat
genr yhatplus2 = fcst2 + 1.96*se2
genr yhatminus2 = fcst2 - 1.96*se2

smpl 1990m01 1996m07

group fig1315 history fcst2 yhatplus2 yhatminus2
freeze(Figure1315) fig1315.line
Figure1315.addtext(t) Figure 13.15 Log Yen / Dollar Rate History and Forecast AR(1) in Differences with Intercept
Figure1315.addtext(l) History and Forecast
Figure1315.addtext(b) Time
Figure1315.scale(left) range(4.2,5.2)
Figure1315.datelabel format(yyyy)
Figure1315.legend -display
Figure1315.setelem symbol(none)
Figure1315.options -color
Figure1315.axis(a) label
Figure1315.setelem(1) linepattern(1)
Figure1315.setelem(2) linepattern(2)
Figure1315.setelem(3) linepattern(2)
Figure1315.setelem(4) linepattern(2)
Figure1315.draw(shade, bottom) 1995m01 1996m07

smpl 1990m01 2010m12

freeze(Figure1316) fig1315.line
Figure1316.addtext(t) Figure 13.16 Log Yen / Dollar Rate History and Long-Horizon Forecast AR(1) in Differences with Intercept
Figure1316.addtext(l) History and Long-Horizon Forecast
Figure1316.addtext(b) Time
Figure1316.scale(left) range(3.0,5.5)
Figure1316.datelabel format(yy)
Figure1316.legend -display
Figure1316.setelem symbol(none)
Figure1316.options -color
Figure1316.axis(a) label
Figure1316.setelem(1) linepattern(1)
Figure1316.setelem(2) linepattern(2)
Figure1316.setelem(3) linepattern(2)
Figure1316.setelem(4) linepattern(2)
Figure1316.draw(shade, bottom) 1995m01 2010m12

smpl 1990m01 1996m07

group fig1317 lyen fcst2 yhatplus2 yhatminus2

freeze(Figure1317) fig1317.line
Figure1317.addtext(t) Figure 13.17 Log Yen / Dollar Rate History, Forecast and Realization AR(1) in Differences with Intercept
Figure1317.addtext(l) History, Forecast and Realization
Figure1317.addtext(b) Time
Figure1317.scale(left) range(4.2,5.2)
Figure1317.datelabel format(yy)
Figure1317.legend -display
Figure1317.setelem symbol(none)
Figure1317.options -color
Figure1317.axis(a) label
Figure1317.setelem(1) linepattern(1)
Figure1317.setelem(2) linepattern(2)
Figure1317.setelem(3) linepattern(2)
Figure1317.setelem(4) linepattern(2)
Figure1317.draw(shade, bottom) 1995m01 1996m07

smpl 1973m01 1994m12

smooth(n) lyen holt

smpl 1995m01 2010m12
genr fcst3 = holt

smpl 1990m01 1996m07

group fig1318 history fcst3

freeze(Figure1318) fig1318.line
Figure1318.addtext(t) Figure 13.18 Log Yen / Dollar Rate History and Forecast Holt-Winters Smoothing
Figure1318.addtext(l) History and Forecast
Figure1318.addtext(b) Time
Figure1318.scale(left) range(4.5,5.1)
Figure1318.datelabel format(yyyy)
Figure1318.legend -display
Figure1318.setelem symbol(none)
Figure1318.options -color
Figure1318.axis(a) label
Figure1318.setelem(1) linepattern(1)
Figure1318.setelem(2) linepattern(2)
Figure1318.draw(shade, bottom) 1995m01 1996m07

smpl 1990m01 2010m12

freeze(Figure1319) fig1318.line
Figure1319.addtext(t) Figure 13.19 Log Yen / Dollar Rate History and Long-Horizon Forecast Holt-Winters Smoothing
Figure1319.addtext(l) History and Long Forecast
Figure1319.addtext(b) Time
Figure1319.scale(left) range(3.2,5.2)
Figure1319.datelabel format(yy)
Figure1319.legend -display
Figure1319.setelem symbol(none)
Figure1319.options -color
Figure1319.axis(a) label
Figure1319.setelem(1) linepattern(1)
Figure1319.setelem(2) linepattern(2)
Figure1319.draw(shade, bottom) 1995m01 2010m12

smpl 1990m01 1996m07

group fig1320 lyen fcst3

freeze(Figure1320) fig1320.line
Figure1320.addtext(t) Figure 13.20 Log Yen / Dollar Rate History, Forecast and Realization Holt-Winters Smoothing
Figure1320.addtext(l) History, Forecast and Realization
Figure1320.addtext(b) Time
Figure1320.scale(left) range(4.4,5.2)
Figure1320.datelabel format(yy)
Figure1320.legend -display
Figure1320.setelem symbol(none)
Figure1320.options -color
Figure1320.axis(a) label
Figure1320.setelem(1) linepattern(1)
Figure1320.setelem(2) linepattern(2)
Figure1320.draw(shade, bottom) 1995m01 1996m07

show Figure137
show Figure138
show Figure139
show Table131
show Table132
show Table133
show Figure1310
show Figure1311
show Figure1312
show Figure1313
show Table134
show Table135
show Table136
show Table137
show Figure1314
show Figure1315
show Figure1316
show Figure1317
show Figure1318
show Figure1319
show Figure1320

