cd "C:\Users\teohhongken\Desktop\Summer2014\Research\DieboldResearch\EViews_Others\Eviews_Misc\Eviews_Employment"

'create workfile for employment
wfcreate(wf="WorkFIleEmployment1") q 1961q1 1994q4

read DataEmployment1.csv caemp

smpl 1962q1 1993q4

graph Figure79.line caemp
Figure79.addtext(t) Figure 7.9 Canadian Employment Index
Figure79.addtext(b) Time
Figure79.addtext(l) Canadian Employment Index
Figure79.scale(left) range(80,115)
Figure79.datelabel format(yy)
Figure79.legend -display
Figure79.setelem symbol(none)
Figure79.options -color
Figure79.options linesolid
Figure79.axis(a) label

freeze(Table71) caemp.correl(12)

show Figure79
show Table71


'create workfile 2 for employment

wfcreate(wf="WorkFileEmployment2") q 1961q1 1994q4

read DataEmployment2.csv caemp

read DataEmployment3.csv transfers

smpl 1962q1 1993q4

equation Table81.ls caemp c ma(1) ma(2) ma(3) ma(4)
freeze(Figure812) Table81.resids
Figure812.scale(left) range(-10, 10)
Figure812.scale(right) range(80, 120)
Figure812.legend display
Figure812.addtext(t) Figure 8.12 Employment MA(4) Model Residual Plot
Figure812.datelabel format(yy)
Figure812.setelem(1) linepattern(1)
Figure812.setelem(2) linepattern(2)
Figure812.setelem(3) linepattern(3)
Figure812.options -color

freeze(Table82) Table81.correl(12)

equation Table83.ls caemp c ar(1) ar(2)
freeze(Figure814) Table83.resids
Figure814.scale(left) range(-4, 8)
Figure814.scale(right) range(80, 120)
Figure814.legend display
Figure814.addtext(t) Figure 8.14 Employment AR(2) Model Residual Plot
Figure814.datelabel format(yy)
Figure814.setelem(1) linepattern(1)
Figure814.setelem(2) linepattern(2)
Figure814.setelem(3) linepattern(3)
Figure814.options -color

freeze(Table84) Table83.correl(12)

table(8,7) Table85
Table85(2,5) = "MA Order"
Table85(6,1) = "AR Order"
Table85(1,1) = "Table 8.5 Employment AIC Values Various ARMA Models"

table(8,7) Table86
Table86(2,5) = "MA Order"
Table86(6,1) = "AR Order"
Table86(1,1) = "Table 8.6 Employment SIC Values Various ARMA Models"

for !i=0 to 4
  Table85(3,!i+3) = !i
  Table85(!i+4,2) = !i  
  Table86(3,!i+3) = !i
  Table86(!i+4,2) = !i
next

equation caemp_arma01.ls caemp c ma(1)
equation caemp_arma02.ls caemp c ma(1) ma(2)
equation caemp_arma03.ls caemp c ma(1) ma(2) ma(3)
equation caemp_arma04.ls caemp c ma(1) ma(2) ma(3) ma(4)
equation caemp_arma10.ls caemp c ar(1)
equation caemp_arma11.ls caemp c ar(1) ma(1)
equation caemp_arma12.ls caemp c ar(1) ma(1) ma(2)
equation caemp_arma13.ls caemp c ar(1) ma(1) ma(2) ma(3)
equation caemp_arma14.ls caemp c ar(1) ma(1) ma(2) ma(3) ma(4)
equation caemp_arma20.ls caemp c ar(1) ar(2)
equation caemp_arma21.ls caemp c ar(1) ar(2) ma(1)
equation caemp_arma22.ls caemp c ar(1) ar(2) ma(1) ma(2)
equation caemp_arma23.ls caemp c ar(1) ar(2) ma(1) ma(2) ma(3)
equation caemp_arma24.ls caemp c ar(1) ar(2) ma(1) ma(2) ma(3) ma(4)
equation caemp_arma30.ls caemp c ar(1) ar(2) ar(3)
equation caemp_arma31.ls caemp c ar(1) ar(2) ar(3) ma(1)
equation caemp_arma32.ls caemp c ar(1) ar(2) ar(3) ma(1) ma(2)
equation caemp_arma33.ls caemp c ar(1) ar(2) ar(3) ma(1) ma(2) ma(3)
equation caemp_arma34.ls caemp c ar(1) ar(2) ar(3) ma(1) ma(2) ma(3) ma(4)
equation caemp_arma40.ls caemp c ar(1) ar(2) ar(3) ar(4)
equation caemp_arma41.ls caemp c ar(1) ar(2) ar(3) ar(4) ma(1)
equation caemp_arma42.ls caemp c ar(1) ar(2) ar(3) ar(4) ma(1) ma(2)
equation caemp_arma43.ls caemp c ar(1) ar(2) ar(3) ar(4) ma(1) ma(2) ma(3)
equation caemp_arma44.ls caemp c ar(1) ar(2) ar(3) ar(4) ma(1) ma(2) ma(3) ma(4)

for !i=0 to 4
  for !j=0 to 4
    if !i > 0 or !j > 0 then
      Table85(!i+4,!j+3) = caemp_arma{!i}{!j}.@aic
      Table86(!i+4,!j+3) = caemp_arma{!i}{!j}.@schwarz
    endif
  next
next

equation Table87.ls caemp c ar(1) ar(2) ar(3) ma(1)
freeze(Figure816) Table87.resids
Figure816.scale(left) range(-4, 8)
Figure816.scale(right) range(80, 120)
Figure816.legend display
Figure816.addtext(t) Figure 8.16 Employment ARMA(3,1) Model Residual Plot
Figure816.datelabel format(yy)
Figure816.setelem(1) linepattern(1)
Figure816.setelem(2) linepattern(2)
Figure816.setelem(3) linepattern(3)
Figure816.options -color

freeze(Table88) Table87.correl(12)

show Table81
show Figure812
show Table82
show Table83
show Figure814
show Table84
show Table85
show Table86
show Table87
show Figure816
show Table88


'create workfile 3 for employment

wfcreate(wf="WorkFileEmployment3") q 1961q1 2010q4

read DataEmployment4.csv caemp

read DataEmployment5.csv transfers

read DataEmployment6.csv hits

smpl 1962q1 1993q4
equation ma4.ls caemp c ma(1) ma(2) ma(3) ma(4)
genr history = caemp

smpl 1994:1 1996:4
ma4.forecast yhat se
genr fcst=yhat
genr yhatplus=yhat+1.96*se
genr yhatminus=yhat-1.96*se

smpl 1990:1 1994:4
group fig91 history fcst yhatplus yhatminus
freeze(Figure91) fig91.line
Figure91.addtext(t) Figure 9.1 Employment History and Forecast MA(4) Model
Figure91.addtext(l) History and Forecast
Figure91.addtext(b) Time
Figure91.scale(left) range(80,120)
Figure91.datelabel format(yy:q)
Figure91.legend -display
Figure91.setelem symbol(none)
Figure91.options -color
Figure91.axis(a) label
Figure91.setelem(1) linepattern(1)
Figure91.setelem(2) linepattern(2)
Figure91.setelem(3) linepattern(2)
Figure91.setelem(4) linepattern(2)
Figure91.draw(shade, bottom) 1994:1 1994:4

smpl 1990:1 1996:4
group fig92 history fcst yhatplus yhatminus
freeze(Figure92) fig92.line
Figure92.addtext(t) Figure 9.2 Employment History and Long-Horizon Forecast MA(4) Model
Figure92.addtext(l) History and Forecast
Figure92.addtext(b) Time
Figure92.scale(left) range(80,120)
Figure92.datelabel format(yyyy)
Figure92.legend -display
Figure92.setelem symbol(none)
Figure92.options -color
Figure92.axis(a) label
Figure92.setelem(1) linepattern(1)
Figure92.setelem(2) linepattern(2)
Figure92.setelem(3) linepattern(2)
Figure92.setelem(4) linepattern(2)
Figure92.draw(shade, bottom) 1994:1 1996:4

smpl 1990:1 1994:4 
group fig93 caemp fcst yhatplus yhatminus
freeze(Figure93) fig93.line
Figure93.addtext(t) Figure 9.3 Employment History, Forecast and Realization MA(4) Model
Figure93.addtext(l) History, Forecast and Realization
Figure93.addtext(b) Time
Figure93.scale(left) range(80,120)
Figure93.datelabel format(yy:q)
Figure93.legend -display
Figure93.setelem symbol(none)
Figure93.options -color
Figure93.axis(a) label
Figure93.setelem(1) linepattern(1)
Figure93.setelem(2) linepattern(2)
Figure93.setelem(3) linepattern(2)
Figure93.setelem(4) linepattern(2)
Figure93.draw(shade, bottom) 1994:1 1994:4

smpl 1962:1 1993:4
equation ar2.ls caemp c ar(1) ar(2)
smpl 1994:1 2010:4
ar2.forecast yhat se
genr fcst2=yhat
genr yhatplus2=yhat+1.96*se
genr yhatminus2=yhat-1.96*se

smpl 1990:1 1994:4
group fig94 history fcst2 yhatplus2 yhatminus2
freeze(Figure94) fig94.line
Figure94.addtext(t) Figure 9.4 Employment History and Forecast AR(2) Model
Figure94.addtext(l) History and Forecast
Figure94.addtext(b) Time
Figure94.scale(left) range(80,105)
Figure94.datelabel format(yy:q)
Figure94.legend -display
Figure94.setelem symbol(none)
Figure94.options -color
Figure94.axis(a) label
Figure94.setelem(1) linepattern(1)
Figure94.setelem(2) linepattern(2)
Figure94.setelem(3) linepattern(2)
Figure94.setelem(4) linepattern(2)
Figure94.draw(shade, bottom) 1994:1 1994:4

smpl 1990:1 1996:4
group fig95 history fcst2 yhatplus2 yhatminus2
freeze(Figure95) fig95.line
Figure95.addtext(t) Figure 9.5 Employment History and Long-Horizon Forecast AR(2) Model
Figure95.addtext(l) History and Forecast
Figure95.addtext(b) Time
Figure95.scale(left) range(80,110)
Figure95.datelabel format(yyyy)
Figure95.legend -display
Figure95.setelem symbol(none)
Figure95.options -color
Figure95.axis(a) label
Figure95.setelem(1) linepattern(1)
Figure95.setelem(2) linepattern(2)
Figure95.setelem(3) linepattern(2)
Figure95.setelem(4) linepattern(2)
Figure95.draw(shade, bottom) 1994:1 1996:4

smpl 1990:1 2010:4
group fig96 history fcst2 yhatplus2 yhatminus2
freeze(Figure96) fig96.line
Figure96.addtext(t) Figure 9.6 Employment History and Very Long-Horizon Forecast AR(2) Model
Figure96.addtext(l) History and Forecast
Figure96.addtext(b) Time
Figure96.scale(left) range(80,120)
Figure96.datelabel format(yy)
Figure96.legend -display
Figure96.setelem symbol(none)
Figure96.options -color
Figure96.axis(a) label
Figure96.setelem(1) linepattern(1)
Figure96.setelem(2) linepattern(2)
Figure96.setelem(3) linepattern(2)
Figure96.setelem(4) linepattern(2)
Figure96.draw(shade, bottom) 1994:1 2010:4

smpl 1990:1 1994:4
group fig97 caemp fcst2 yhatplus2 yhatminus2
freeze(Figure97) fig97.line
Figure97.addtext(t) Figure 9.7 Employment History, Forecast and Realization AR(2) Model
Figure97.addtext(l) History, Forecast and Realization
Figure97.addtext(b) Time
Figure97.scale(left) range(80,105)
Figure97.datelabel format(yy:q)
Figure97.legend -display
Figure97.setelem symbol(none)
Figure97.options -color
Figure97.axis(a) label
Figure97.setelem(1) linepattern(1)
Figure97.setelem(2) linepattern(2)
Figure97.setelem(3) linepattern(2)
Figure97.setelem(4) linepattern(2)
Figure97.draw(shade, bottom) 1994:1 1994:4

show Figure91
show Figure92
show Figure93
show Figure94
show Figure95
show Figure96
show Figure97


